import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

public class JavaFXSample extends Application {
    public JavaFXSample()
    {
        //Optional constructor
    }
	
    @Override
    public void init()
    {
         // By default this method does nothing. However, it
         // can run code to set up special conditions for 
         // running an application class. It runs once before
		 // the 'start' method and after the constructor method.
    }

    @Override
    public void start(Stage primaryStage) {
        // Creating the Java button
        final Button button = new Button();
        // Setting text to button
        button.setText("Hello World");
        // Registering a handler for button
        button.setOnAction((ActionEvent event) -> {
            // Printing Hello World! to the console
            System.out.println("Hello World!");
        });
        // Initializing the StackPane class
        final StackPane root = new StackPane();
        // Adding all the nodes to the StackPane
        root.getChildren().add(button);
        // Creating a scene object
        final Scene scene = new Scene(root, 300, 250);
        // Adding the title to the window (primaryStage)
        primaryStage.setTitle("Hello World!");
        primaryStage.setScene(scene);
        // Show the window(primaryStage)
        primaryStage.show();
    }
    @Override
    public void stop()
    {
        // By default this method does nothing. it runs if
        // the user clicks the exit button closing the window
		// or if Platorm.exit() is called. Use Platorm.exit()
		// instead of System.exit(0).
    }
 

    public static void main(String[] args) {
        launch(args);
    }
}